Package org.eclipse.swt.events

## Class ModifyEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.events.ModifyEvent

    public final class ModifyEvent
    extends TypedEvent

Instances of this class are sent as a result of text being modified.

See Also:
  `ModifyListener`

### Field Summary

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Constructor Summary

Constructors
`ModifyEvent​(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

### Method Summary

### Methods inherited from class org.eclipse.swt.events.TypedEvent

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModifyEvent

    public ModifyEvent​(Event event)

Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information